PDA

Visualizza la versione completa : [VB5] CompatibilitÓ


Jonny Gulash
24-08-2002, 19:30
Se compilo un programma con VB5 funziona su qualsiasi versione di Windows? Anche su Windows 3.1?
E per Windows NT? Ho sentito parlare di Service pack da aggiornare, ma non ho realizzato molto...



Grazie1000:gren:

chipdb
24-08-2002, 20:18
Win 3.1 Ú una piattaforma a 16bit, al contrario dei "nuovi" Win (dal 95 in poi) che sono a 32bit fino ad arrivare ai 64bit del nuovo XP (non tutte le versioni, c'Ŕ una versione speciale a 64bit).
Visual Basic dalla versione 5 compila progetti a 32 bit, che quindi funzionano in tutti i sistemi operativi dal 32 bit in poi (Windows of course). Per realizzare programmi per Win 3.1 (non Ú un p˛ vecchietto da fare girare su un pc??) bisogna che trovi VB4.
Per quanto riguarda l'NT non saprei, io creo i programmi con VB6 sotto WinXp (a 32bit) e funzionano sia su 95/98/ME che su 2000 ed XP (:quipy: )... Dato che 2000 ed XP derivano dall'NT potrebbe a prima vista sembra re che i programmi funzionino anche su NT, ma non te lo assicuro al 100%, diciamo al 50%. Probabilmente sono gli utenti di NT che devono scaricare i Service Pack per fare funzionare i programmi...

Ciao

Jonny Gulash
25-08-2002, 09:31
Mi hai convinto...
La domanda su Win 3.1 era poco + che una curiositÓ...
Per quanto riguarda NT mi pare proprio che bisogni scaricarsi il Service pack 3, altrimenti non funziona niente...

Grazie1000

CIAOCIAO:gren:

casino10
25-08-2002, 18:24
Un prg compilato con vb5 gira su win3.x a patto che siano installate le librerie win32 (ricordate 8-9 anni fÓ??). Su NT 4 o precedente funziona ugualmente.... naturalmente devono essere presenti i runtime del vb5..

Bye !!

Loading